- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 455e2b31-ddb1-4ffc-b546-e0cc53801288
    creation_time: 2023-02-17T12:12:09.987541Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/gr2006.c
      input_file_hashes:
        c/loop-lit/gr2006.c: 0cce601d3e06b5cd8415f99be251710ece6e8fb7c3e319a09ed18922ee72babd
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/gr2006.c
    file_hash: 0cce601d3e06b5cd8415f99be251710ece6e8fb7c3e319a09ed18922ee72babd
    line: 9
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string:  ( 0 <= x && x == y && y <= 50 )  ||  ( x >= 50 && x+y == 100 && y >= 0 ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 6165a9c2-c4bb-4110-aa0b-5bf35165d66d
    creation_time: 2023-02-17T12:12:09.987827Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/gr2006.c
      input_file_hashes:
        c/loop-lit/gr2006.c: 0cce601d3e06b5cd8415f99be251710ece6e8fb7c3e319a09ed18922ee72babd
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/gr2006.c
    file_hash: 0cce601d3e06b5cd8415f99be251710ece6e8fb7c3e319a09ed18922ee72babd
    line: 18
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: x == 100
    type: assertion
    format: C

